"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProvisioningProfileManager = void 0;

function _fastlane() {
  const data = require("./fastlane");

  _fastlane = function () {
    return data;
  };

  return data;
}

class ProvisioningProfileManager {
  constructor(appleCtx) {
    this.ctx = appleCtx;
  }

  async create(bundleIdentifier, metadata = {}) {
    const args = ['create', this.ctx.appleId, this.ctx.appleIdPassword, this.ctx.team.id, this.ctx.team.inHouse, bundleIdentifier, metadata.distCertSerialNumber || '__last__'];
    return await (0, _fastlane().runAction)(_fastlane().travelingFastlane.manageProvisioningProfiles, args);
  }

  async revoke(bundleIdentifier) {
    const args = ['revoke', this.ctx.appleId, this.ctx.appleIdPassword, this.ctx.team.id, String(this.ctx.team.inHouse), bundleIdentifier];
    await (0, _fastlane().runAction)(_fastlane().travelingFastlane.manageProvisioningProfiles, args);
  }

}

exports.ProvisioningProfileManager = ProvisioningProfileManager;
;
//# sourceMappingURL=../__sourcemaps__/appleApi/provisioningProfile.js.map
