"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tagForUpdate = tagForUpdate;
exports.clearTags = clearTags;
exports.Updater = void 0;
const updateSymbol = Symbol(); // a unique key to mark an object on whether we should perform an update

class Updater {
  constructor(updateAllFn) {
    this.updateAllFn = updateAllFn;
  }

  async updateAllAsync(objs) {
    const taggedObjs = objs.filter(obj => obj[updateSymbol]);
    clearTags(objs);
    return await this.updateAllFn(taggedObjs);
  }

}

exports.Updater = Updater;

function tagForUpdate(obj) {
  obj[updateSymbol] = true;
  return obj;
}

function clearTags(objs) {
  objs.forEach(obj => delete obj[updateSymbol]);
}
//# sourceMappingURL=../../__sourcemaps__/commands/client/tagger.js.map
