"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _envinfo() {
  const data = _interopRequireDefault(require("envinfo"));

  _envinfo = function () {
    return data;
  };

  return data;
}

function _package() {
  const data = require("../../package.json");

  _package = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function action(options) {
  let info = await _envinfo().default.run({
    System: ['OS', 'Shell'],
    Binaries: ['Node', 'Yarn', 'npm', 'Watchman'],
    IDEs: ['Xcode', 'Android Studio'],
    npmPackages: ['expo', 'react', 'react-native', 'react-navigation'],
    npmGlobalPackages: ['expo-cli']
  }, {
    title: `Expo CLI ${_package().version} environment info`
  });
  console.log(info);
}

var _default = program => {
  program.command('diagnostics [project-dir]').description('Prints environment info to console.').asyncAction(action);
};

exports.default = _default;
//# sourceMappingURL=../__sourcemaps__/commands/diagnostics.js.map
