"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _android() {
  const data = require("./android");

  _android = function () {
    return data;
  };

  return data;
}

function _ios() {
  const data = _interopRequireDefault(require("./ios"));

  _ios = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = program => {
  program.command('fetch:ios:certs [project-dir]').description(`Fetch this project's iOS certificates/keys and provisioning profile. Writes files to the PROJECT_DIR and prints passwords to stdout.`).asyncActionProjectDir(_ios().default, true);
  program.command('fetch:android:keystore [project-dir]').description("Fetch this project's Android keystore. Writes keystore to PROJECT_DIR/PROJECT_NAME.jks and prints passwords to stdout.").asyncActionProjectDir(_android().fetchAndroidKeystoreAsync, true);
  program.command('fetch:android:hashes [project-dir]').description("Fetch this project's Android key hashes needed to set up Google/Facebook authentication. Note: if you are using Google Play signing, this app will be signed with a different key after publishing to the store, and you'll need to use the hashes displayed in the Google Play console.").asyncActionProjectDir(_android().fetchAndroidHashesAsync, true);
  program.command('fetch:android:upload-cert [project-dir]').description("Fetch this project's upload certificate needed after opting in to app signing by Google Play or after resetting a previous upload certificate.").asyncActionProjectDir(_android().fetchAndroidUploadCertAsync, true);
};

exports.default = _default;
//# sourceMappingURL=../../__sourcemaps__/commands/fetch/index.js.map
