"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _chalk() {
  const data = _interopRequireDefault(require("chalk"));

  _chalk = function () {
    return data;
  };

  return data;
}

function _xdl() {
  const data = require("@expo/xdl");

  _xdl = function () {
    return data;
  };

  return data;
}

function _log() {
  const data = _interopRequireDefault(require("../log"));

  _log = function () {
    return data;
  };

  return data;
}

function _CommandError() {
  const data = _interopRequireDefault(require("../CommandError"));

  _CommandError = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function action() {
  const user = await _xdl().UserManager.getCurrentUserAsync({
    silent: true
  });

  if (user) {
    (0, _log().default)(`Logged in as ${_chalk().default.green(user.username)}`);

    _log().default.raw(user.username);
  } else {
    throw new (_CommandError().default)('NOT_LOGGED_IN', 'Not logged in');
  }
}

function _default(program) {
  program.command('whoami').alias('w').description('Checks with the server and then says who you are logged in as').asyncAction(action);
}
//# sourceMappingURL=../__sourcemaps__/commands/whoami.js.map
