"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nonEmptyInput = nonEmptyInput;
exports.existingFile = void 0;

function _fsExtra() {
  const data = _interopRequireDefault(require("fs-extra"));

  _fsExtra = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function nonEmptyInput(val) {
  return val !== '';
}

const existingFile = async (filePath, verbose = true) => {
  try {
    const stats = await _fsExtra().default.stat(filePath);
    return stats.isFile();
  } catch (e) {
    if (verbose) {
      console.log('\nFile does not exist.');
    }

    return false;
  }
};

exports.existingFile = existingFile;
//# sourceMappingURL=__sourcemaps__/validators.js.map
